# Installation
install-$(DIR): $(HOME)/.xmms/xpyre $(HOME)/.xmms/xpyre/config

$(HOME)/.xmms/xpyre:
	@echo "* Making install directory $@..."
	$(HUSH)mkdir $@

$(HOME)/.xmms/xpyre/config: $(DIR)/config
	@echo "* Installing $<..."
	$(HUSH)cp -f $< $@

# Packaging
GENERATED += xpyre-$(VERSION).tar.bz2
CLEANTARGETS += tar xpyre-$(VERSION).tar.bz2

tar: xpyre-$(VERSION).tar.bz2

xpyre-$(VERSION).tar.bz2: clean
	@echo "* Creating $@..."
	$(HUSH)dir=$$(basename $$(pwd));\
	cd ..;\
	tar c $${dir} --exclude=CVS --exclude=.cvsignore --exclude='.*.swp' \
		--exclude=$@ --owner=0 --group=0 --mode=u+rw | \
		bzip2 - > $${dir}/$@

# Testing
run: install
	@echo "* Running xmms..." 
	-xmms

.PHONY: tar run
